commit:     329ebb790cc273f6afdd1212a3bef37aa6a2e48f
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 25 19:41:51 2020 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Tue Aug 25 19:41:59 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=329ebb79

x11-wm/icewm: bump to v1.8.0

Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 x11-wm/icewm/Manifest           |   1 +
 x11-wm/icewm/icewm-1.8.0.ebuild | 137 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 138 insertions(+)

diff --git a/x11-wm/icewm/Manifest b/x11-wm/icewm/Manifest
index 850e732cdd7..56d6020801e 100644
--- a/x11-wm/icewm/Manifest
+++ b/x11-wm/icewm/Manifest
@@ -1,2 +1,3 @@
 DIST icewm-1.6.6.tar.lz 1684639 BLAKE2B 
20daba42f19d86ceff6ce31c8df9cb1b9b09cc53d8933f70a9a8e750470c4f485e79f8de5e47ed503c83ac5433931c4ff98b10584566941e6a3bcf22d58e3dbf
 SHA512 
6d9848924253fee5f57be488d2eb0b602767f168ce623b10c768a73197dfc6265daee7e70373d45ff5fae1c15b029d62c77ad13f0f631283bbf13aaaa9c6234d
 DIST icewm-1.7.0.tar.lz 1668130 BLAKE2B 
90739f862cf320c43dc2ddbd1a5ecdf2918e6525e45d5732b19adaaeef0f104d9a66d29acab776658f869d7149954d4b531a07e2595a4c80b4dc50dc679473f0
 SHA512 
1b0faed0e9ead837dcb0d3ce91ad5248d7fca5ad48455c838700c66482a3373bb4e552dbc252b93b0a5613d53e2663cea756e64b3f3fb073d9ba2797e2b69601
+DIST icewm-1.8.0.tar.lz 1679913 BLAKE2B 
4facdf69abd4ffc58bf65cbf5603b64d82e8e384b9a4f68249feaf8656010f08121a2a13ad5a38d867be2b0c29ca0952ac527ba4281f6d03f81ef4fdad47c825
 SHA512 
b49247bfbeecd7e68999d349676f889cf4514e27d1eb0d8dab38826f874d2273fab380e46ae3b2fab85ce2a3a495dd29f6caf4dc3bf5dec355b240550cbc117b

diff --git a/x11-wm/icewm/icewm-1.8.0.ebuild b/x11-wm/icewm/icewm-1.8.0.ebuild
new file mode 100644
index 00000000000..f3a5bab3c27
--- /dev/null
+++ b/x11-wm/icewm/icewm-1.8.0.ebuild
@@ -0,0 +1,137 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools unpacker
+
+DESCRIPTION="Ice Window Manager with Themes"
+HOMEPAGE="https://ice-wm.org/ https://github.com/ice-wm/icewm";
+LICENSE="GPL-2"
+SRC_URI="https://github.com/ice-wm/icewm/releases/download/${PV}/${P}.tar.lz";
+
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+IUSE="+alsa ao bidi debug +gdk-pixbuf nls truetype uclibc xinerama"
+
+# Tests broken in all versions, patches welcome, bug #323907, #389533
+RESTRICT="test"
+
+REQUIRED_USE="|| ( alsa ao )"
+
+#fix for icewm preversion package names
+S="${WORKDIR}/${P/_}"
+
+# These are the core dependencies of icewm.
+# Look into configure.ac and search for PKG_CHECK_MODULES([CORE]
+CORE_DEPEND="
+       media-libs/fontconfig
+       x11-libs/libX11
+       x11-libs/libXcomposite
+       x11-libs/libXdamage
+       x11-libs/libXext
+       x11-libs/libXfixes
+       x11-libs/libXrender
+"
+
+RDEPEND="
+       ${CORE_DEPEND}
+       x11-libs/libICE
+       x11-libs/libSM
+       x11-libs/libXft
+       x11-libs/libXpm
+       x11-libs/libXrandr
+       alsa? (
+               media-libs/alsa-lib
+               media-libs/libsndfile[alsa]
+       )
+       ao? (
+               media-libs/libao
+               media-libs/libsndfile
+       )
+       bidi? ( dev-libs/fribidi )
+       gdk-pixbuf? (
+               x11-libs/gdk-pixbuf:2[X]
+       )
+       !gdk-pixbuf? (
+               media-libs/libpng:0=
+               virtual/jpeg
+       )
+       xinerama? ( x11-libs/libXinerama )
+"
+DEPEND="
+       ${RDEPEND}
+       $(unpacker_src_uri_depends)
+       dev-libs/glib:2
+       gnome-base/librsvg
+       x11-base/xorg-proto
+       gdk-pixbuf? ( gnome-base/librsvg:2 )
+"
+
+BDEPEND="
+       app-text/asciidoc
+       virtual/pkgconfig
+       nls? ( >=sys-devel/gettext-0.19.6 )
+"
+
+src_prepare() {
+       # Fix bug #486710 - TODO: Still needed?
+       #use uclibc && PATCHES+=( "${FILESDIR}/${PN}-1.3.8-uclibc.patch" )
+
+       default
+       eautoreconf
+}
+
+src_configure() {
+       local icesound
+       if use alsa && use ao ; then
+               icesound="alsa,ao"
+       elif use alsa ; then
+               icesound="alsa"
+       elif use ao ; then
+               icesound="ao"
+       fi
+
+       local myconf=(
+               --enable-logevents
+               --enable-xrandr
+               --with-cfgdir=/etc/icewm
+               --with-docdir=/usr/share/doc/${PF}/html
+               --with-icesound="${icesound}"
+               --with-libdir=/usr/share/icewm
+               $(use_enable bidi fribidi)
+               $(use_enable debug)
+               $(use_enable gdk-pixbuf)
+               $(use_enable nls i18n)
+               $(use_enable nls)
+               $(use_enable xinerama)
+       )
+       if use truetype ; then
+               myconf+=(
+                       --enable-shape
+               )
+       else
+               myconf+=(
+                       --disable-xfreetype
+                       --enable-corefonts
+               )
+       fi
+
+       econf "${myconf[@]}"
+
+       sed -i "s:/icewm-\$(VERSION)::" src/Makefile || die
+       sed -i "s:ungif:gif:" src/Makefile || die "libungif fix failed"
+}
+
+src_install() {
+       local DOCS=( AUTHORS ChangeLog NEWS README.md TODO VERSION )
+
+       default
+
+       docinto html
+       dodoc doc/icewm.html
+       dodoc man/*.html
+
+       exeinto /etc/X11/Sessions
+       doexe "${FILESDIR}/icewm"
+}

Reply via email to